Name:           tuxpaint-config
Summary:        Configuration tool for Tux Paint
Summary(de):    Konfigurationswerkzeug für Tux Paint
URL:            http://www.tuxpaint.org/
License:        GPL v2 or later
Group:          Education
Version:        0.0.13
Release:        %mkrel 2
BuildRequires:  %{_lib}fltk-devel %{_lib}paper-devel
Requires:       tuxpaint
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Tux Paint has a rich set of configuration options, controllable via
command-line options or configuration files. This configuration tool 
provides a point-and-click interface for administrators to tailor 
Tux Paint to suit the needs of their users.

%description -l de
Tux Paint hat eine große Auswahl an Konfigurationsoptionen, steuerbar über 
Kommandozeilen Optionen oder Konfigurationsdateien. Dieses Konfigurationswerkzeug 
unterstützt eine Auswahl-und-Anklicken Schnittstelle zur Verwaltung und zum 
zuschneiden von Tux Paint, auf die jeweiligen Bedürfnisse des Benutzers 

%prep
%setup -q

%build
make OPTFLAGS="%{optflags}" PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot} %{buildroot}%{_bindir}  
make install BUILDPREFIX="%{buildroot}" PKG_ROOT="%{buildroot}" PREFIX="%{buildroot}%{_usr}" X11_ICON_PREFIX="%{buildroot}%{_includedir}/X11/pixmaps/" LIBDIR="%{buildroot}%{_libdir}"

install -m644 data/images/icon16x16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 data/images/icon32x32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 data/images/icon48x48.png -D %{buildroot}%{_liconsdir}/%{name}.png

chmod -R go+r docs/

%find_lang %{name}

chmod -R go=u-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(755,root,root,755)
%{_bindir}/%{name}
%doc %_defaultdocdir/%name
%_mandir/man1/%{name}.*
%{_includedir}/X11/pixmaps/%{name}.*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/images/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Fri Apr 08 2016 bb <bb> 0.0.13-2pclos02016
- rebuild for updates

* Tue Aug 26 2014 pinoc <vogtpet at gmail.com> 0.0.13-1pclos2014
- 0.0.13

* Wed May 01 2013 pinoc <vogtpet at gmail.com> 0.0.12-3pclos2013
- amended BR and rebuild for 32/64

* Mon Nov 22 2010 Texstar <texstar at gmail.com> 0.0.12-2pclos2010
- rebuild for new fltk

* Sun Jun 27 2010 maik3531 <maik3531 at yahoo.de> 0.0.12-1pclos2010
- 0.0.12

* Wed Mar 05 2008 Texstar <texstar@gmail.com> 0.0.9-2pclos2007
- fix synaptic group

* Tue Feb 21 2008 P. K. Frederic <pkfric@yahoo.com> 0.0.9-1pclos2007
- first RPM for PCLinuxOS
